For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
Logo
Log inBook a demo
API ReferenceBulk Sync

Get Bulk Sync

GET
https://app.polytomic.com/api/bulk/syncs/:id
GET
/api/bulk/syncs/:id
$curl https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "active": true,
4 "additional_schedules": [
5 {
6 "frequency": "weekly",
7 "created_at": "2023-04-25T12:00:00Z",
8 "created_by": {
9 "id": "12345678-1234-1234-1234-123456789012",
10 "name": "John Doe",
11 "type": "user"
12 },
13 "day_of_week": "monday",
14 "hour": "12",
15 "minute": "30",
16 "selective_mode": "nonincrementalFields",
17 "updated_at": "2023-04-25T12:00:00Z",
18 "updated_by": {
19 "id": "12345678-1234-1234-1234-123456789012",
20 "name": "John Doe",
21 "type": "user"
22 }
23 },
24 {
25 "frequency": "continuous",
26 "created_at": "2023-04-25T12:00:00Z",
27 "created_by": {
28 "id": "12345678-1234-1234-1234-123456789012",
29 "name": "John Doe",
30 "type": "user"
31 },
32 "selective_mode": "incrementalFields",
33 "updated_at": "2023-04-25T12:00:00Z",
34 "updated_by": {
35 "id": "12345678-1234-1234-1234-123456789012",
36 "name": "John Doe",
37 "type": "user"
38 }
39 }
40 ],
41 "automatically_add_new_fields": "all",
42 "automatically_add_new_objects": "all",
43 "concurrency_limit": 50,
44 "created_at": "2024-01-15T09:30:00Z",
45 "created_by": {
46 "id": "12345678-1234-1234-1234-123456789012",
47 "name": "John Doe",
48 "type": "user"
49 },
50 "data_cutoff_timestamp": "2023-04-25T12:00:00Z",
51 "default_schedule": {
52 "frequency": "manual",
53 "created_at": "2024-01-15T09:30:00Z",
54 "created_by": {
55 "id": "12345678-1234-1234-1234-123456789012",
56 "name": "John Doe",
57 "type": "user"
58 },
59 "day_of_month": "1",
60 "day_of_week": "monday",
61 "hour": "12",
62 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
63 "minute": "30",
64 "month": "1",
65 "updated_at": "2024-01-15T09:30:00Z",
66 "updated_by": {
67 "id": "12345678-1234-1234-1234-123456789012",
68 "name": "John Doe",
69 "type": "user"
70 }
71 },
72 "destination_configuration": {
73 "schema": "my_schema"
74 },
75 "destination_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
76 "disable_record_timestamps": false,
77 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
78 "mode": "snapshot",
79 "name": "My Bulk Sync",
80 "normalize_names": "enabled",
81 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
82 "policies": [
83 "248df4b7-aa70-47b8-a036-33ac447e668d"
84 ],
85 "resync_concurrency_limit": 10,
86 "source_configuration": {
87 "replication_slot": "slot"
88 },
89 "source_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
90 "updated_at": "2024-01-15T09:30:00Z",
91 "updated_by": {
92 "id": "12345678-1234-1234-1234-123456789012",
93 "name": "John Doe",
94 "type": "user"
95 }
96 }
97}
Returns a bulk sync by ID. The response includes the sync's top-level configuration — source, destination, schedules, and discovery settings. - To check whether the sync is running and see the most-recent execution result, use [`GET /api/bulk/syncs/{id}/status`](../../../../api-reference/bulk-sync/get-status). - To inspect which schemas are selected and how they are configured, use [`GET /api/bulk/syncs/{id}/schemas`](../../../../api-reference/bulk-sync/schemas/list).
Was this page helpful?
Previous

Update Bulk Sync

Next

Returns a bulk sync by ID.

The response includes the sync’s top-level configuration — source, destination, schedules, and discovery settings.

  • To check whether the sync is running and see the most-recent execution result, use GET /api/bulk/syncs/{id}/status.
  • To inspect which schemas are selected and how they are configured, use GET /api/bulk/syncs/{id}/schemas.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Query parameters

refresh_schemasbooleanOptional

Response

OK
dataobject

Errors

404
Not Found Error